Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>
Summary:   	A library for reading and writing quicktime files
Name:      	libquicktime
Version:   	1.0.3
Release:   	1	
Provides:	libquicktime
License: 	GNU/GPL
URL:		http://libquicktime.sourceforge.net/
Group:     	Video
Source0: 	libquicktime-%{version}.tar.gz
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires:	alsa-lib-devel 
BuildRequires:  atk-devel
BuildRequires:  gtk2+-devel 
BuildRequires:  libdv-devel 
BuildRequires:  glibc-devel
BuildRequires:  cairo-devel
BuildRequires:  gdk-pixbuf-devel
BuildRequires:  glib-devel
BuildRequires:  libjpeg-devel
BuildRequires:  lame-devel
BuildRequires:	ffmpeg-devel
BuildRequires:	faad2-devel
BuildRequires:	faac-devel
BuildRequires:  pango-devel
BuildRequires:  libpng-devel
BuildRequires:  libvorbis-devel
BuildRequires:  zlib-devel
BuildRequires:	x264-devel
BuildRequires:	mesa-libGL-devel
BuildRequires:  mesa-libGLU-devel
BuildRequires:  libICE-devel
BuildRequires:  libSM-devel
BuildRequires:  libX11-devel
BuildRequires:  libXaw-devel
BuildRequires:  libXext-devel
BuildRequires:  libXt-devel
BuildRequires:  libXv-devel

# Require for rpm lzma compression transition
Requires:        rpm >= 4.4.2.3-1

%description
A library for reading and writing quicktime files. It provides convenient access to quicktime
files with a variety of supported codecs.

%package devel
Summary: 	libquicktime development headers.
Group:     	Video
Requires: 	libquicktime = %{version}-%{release}

%description devel
Header and include files for developing applications with libquicktime.

%post
ldconfig

%postun
ldconfig

%prep
%setup -n libquicktime-%{version}

%build
./configure --prefix=%_prefix --disable-debug --mandir=%_mandir --enable-gpl
make

%install
make install-strip DESTDIR=$RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/*
%exclude %_libdir/*.la
%exclude %_libdir/*.so
%exclude %_libdir/pkgconfig/*.pc
%exclude %_includedir/*

%files devel
%defattr(-,root,root)
%_libdir/*.la
%_libdir/*.so
%_libdir/pkgconfig/*.pc
%_includedir/*

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun Jul 27 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.0.3-1
- version update
* Sun Mar 08 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.0.2-1
- version update
* Sun Oct 14 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.0.1-1
- version update
* Wed Apr 18 2007 Stefan Gottwald <gotti@ccux-linux.de> 1.0.0-1
- Version Update
* Tue Sep 12 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.9.10-2
- compiled against X.org 7.1.1
* Sun Aug 27 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.9.10-1
- version update
* Tue Jul 12 2005 Christian Metzen <metzench@ccux-linux.de> 0.9.7-2
- Moved more files to devel package
* Thu Jun 30 2005 Karsten Brockmann <brockmka@rz.fh-augsburg.de> 0.9.7-1
- Version Update to 0.9.7
* Thu Jan 13 2005 Christian Wasem <wasem@ccux-linux.de> 0.9.4-1
- Version Update to 0.9.4
* Tue Nov 02 2004 Christian Wasem <wasem@ccux-linux.de> 0.9.3-1
- Initial Release
